# Accounting API — Tax Rates

> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Tax-Rates

This document contains every operation on the `Tax Rates` resource.

---

# List Tax Rates

> **Accounting API** · `GET /accounting/tax-rates`
> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Tax-Rates/operation/taxRatesAll

List Tax Rates. Note: Not all connectors return the actual rate/percentage value. In this case, only the tax code or reference is returned. Connectors Affected: Quickbooks

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-company-id` | header | `string` | No | The ID of the company to scope requests to. For connectors that support multi-company, this overrides the default company configured in connection settings. |
| `cursor` | query | `string` | No | Cursor to start from. You can find cursors for next/previous pages in the meta.cursors property of the response. |
| `limit` | query | `integer` | No | Number of results to return. Minimum 1, Maximum 200, Default 20 |
| `filter` | query | `object` | No | Apply filters |
| `pass_through` | query | `object` | No | Optional unmapped key/values that will be passed through to downstream as query parameters. Ie: ?pass_through[search]=leads becomes ?search=leads |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |

### Responses

#### 200 — TaxRates

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `xero`
- `resource` `string` **required** — Unified API resource name — example: `tax-rates`
- `operation` `string` **required** — Operation performed — example: `all`
- `data` `array of object` **required**
  - `id` `string` — ID assigned to identify this tax rate. — example: `1234`
  - `display_id` `string` — Display ID of the tax rate — example: `12345`
  - `name` `string` — Name assigned to identify this tax rate. — example: `GST on Purchases`
  - `code` `string` — Tax code assigned to identify this tax rate. — example: `ABN`
  - `description` `string` — Description of tax rate — example: `Reduced rate GST Purchases`
  - `effective_tax_rate` `number` — Effective tax rate — example: `10`
  - `country` `string` — Country code according to ISO 3166-1 alpha-2. — example: `US`
  - `total_tax_rate` `number` — Not compounded sum of the components of a tax rate — example: `10`
  - `tax_payable_account_id` `string` — Unique identifier for the account for tax collected. — example: `123456`
  - `tax_remitted_account_id` `string` — Unique identifier for the account for tax remitted. — example: `123456`
  - `components` `array of any`
    - `id` `string` — example: `10`
    - `name` `string` — example: `GST`
    - `rate` `number` — example: `10`
    - `compound` `boolean` — example: `true`
  - `type` `string` — Tax type used to indicate the source of tax collected or paid — example: `NONE`
  - `report_tax_type` `string` — Report Tax type to aggregate tax collected or paid for reporting purposes — example: `NONE`
  - `original_tax_rate_id` `string` — ID of the original tax rate from which the new tax rate is derived. Helps to understand the relationship between corresponding tax rate entities. — example: `12345`
  - `status` `string` — Tax rate status — enum: `active`, `inactive`, `archived` — example: `OK`
  - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
  - `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
  - `updated_by` `string` — The user who last updated the object. — example: `12345`
  - `created_by` `string` — The user who created the object. — example: `12345`
  - `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
    - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
    - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
    - `extend_object` `object` — Simple object allowing any properties for direct extension.
    - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
      - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
      - `value` `any` **required** — The value to set at the specified path, can be any type.
  - `subsidiaries` `array of any` — The subsidiaries this belongs to.
    - `id` `string` — The ID of the subsidiary.
  - `custom_fields` `array of object`
    - `id` `string` — Unique identifier for the custom field. — example: `2389328923893298`
    - `name` `string` — Name of the custom field. — example: `employee_level`
    - `description` `string` — More information about the custom field — example: `Employee Level`
    - `value` `string | number | boolean | object | array of string | number | boolean | object`
      - One of:
        - Option 1: string
        - Option 2: number
        - Option 3: boolean
        - Option 4: object

        - Option 5: array of string | number | boolean | object
- `meta` `object` — Response metadata
  - `items_on_page` `integer` — Number of items returned in the data property of the response — example: `50`
  - `cursors` `object` — Cursors to navigate to previous or next pages through the API
    - `previous` `string` — Cursor to navigate to the previous page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjE=`
    - `current` `string` — Cursor to navigate to the current page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjI=`
    - `next` `string` — Cursor to navigate to the next page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjM=`
- `links` `object` — Links to navigate to previous or next pages through the API
  - `previous` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjE%3D`
  - `current` `string` — Link to navigate to the current page through the API — example: `https://unify.apideck.com/crm/companies`
  - `next` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjM`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Create Tax Rate

> **Accounting API** · `POST /accounting/tax-rates`
> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Tax-Rates/operation/taxRatesAdd

Create Tax Rate

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-company-id` | header | `string` | No | The ID of the company to scope requests to. For connectors that support multi-company, this overrides the default company configured in connection settings. |

### Request Body

_Required._

- `id` `string` — ID assigned to identify this tax rate. — example: `1234`
- `display_id` `string` — Display ID of the tax rate — example: `12345`
- `name` `string` — Name assigned to identify this tax rate. — example: `GST on Purchases`
- `code` `string` — Tax code assigned to identify this tax rate. — example: `ABN`
- `description` `string` — Description of tax rate — example: `Reduced rate GST Purchases`
- `effective_tax_rate` `number` — Effective tax rate — example: `10`
- `country` `string` — Country code according to ISO 3166-1 alpha-2. — example: `US`
- `total_tax_rate` `number` — Not compounded sum of the components of a tax rate — example: `10`
- `tax_payable_account_id` `string` — Unique identifier for the account for tax collected. — example: `123456`
- `tax_remitted_account_id` `string` — Unique identifier for the account for tax remitted. — example: `123456`
- `components` `array of any`
  - `id` `string` — example: `10`
  - `name` `string` — example: `GST`
  - `rate` `number` — example: `10`
  - `compound` `boolean` — example: `true`
- `type` `string` — Tax type used to indicate the source of tax collected or paid — example: `NONE`
- `report_tax_type` `string` — Report Tax type to aggregate tax collected or paid for reporting purposes — example: `NONE`
- `original_tax_rate_id` `string` — ID of the original tax rate from which the new tax rate is derived. Helps to understand the relationship between corresponding tax rate entities. — example: `12345`
- `status` `string` — Tax rate status — enum: `active`, `inactive`, `archived` — example: `active`
- `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
- `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
- `updated_by` `string` — The user who last updated the object. — example: `12345`
- `created_by` `string` — The user who created the object. — example: `12345`
- `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
  - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
  - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
  - `extend_object` `object` — Simple object allowing any properties for direct extension.
  - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
    - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
    - `value` `any` **required** — The value to set at the specified path, can be any type.
- `subsidiaries` `array of any` — The subsidiaries this belongs to.
  - `id` `string` — The ID of the subsidiary.
- `custom_fields` `array of object`
  - `id` `string` — Unique identifier for the custom field. — example: `2389328923893298`
  - `name` `string` — Name of the custom field. — example: `employee_level`
  - `description` `string` — More information about the custom field — example: `Employee Level`
  - `value` `string | number | boolean | object | array of string | number | boolean | object`
    - One of:
      - Option 1: string
      - Option 2: number
      - Option 3: boolean
      - Option 4: object

      - Option 5: array of string | number | boolean | object

### Responses

#### 201 — TaxRate created

- `status_code` `integer` **required** — HTTP Response Status Code — example: `201`
- `status` `string` **required** — HTTP Response Status — example: `Created`
- `service` `string` **required** — Apideck ID of service provider — example: `xero`
- `resource` `string` **required** — Unified API resource name — example: `tax-rates`
- `operation` `string` **required** — Operation performed — example: `add`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Get Tax Rate

> **Accounting API** · `GET /accounting/tax-rates/{id}`
> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Tax-Rates/operation/taxRatesOne

Get Tax Rate. Note: Not all connectors return the actual rate/percentage value. In this case, only the tax code or reference is returned. Support will soon be added to return the actual rate/percentage by doing additional calls in the background to provide the full view of a given tax rate. Connectors Affected: Quickbooks

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-company-id` | header | `string` | No | The ID of the company to scope requests to. For connectors that support multi-company, this overrides the default company configured in connection settings. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |

### Responses

#### 200 — TaxRate

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `xero`
- `resource` `string` **required** — Unified API resource name — example: `tax-rates`
- `operation` `string` **required** — Operation performed — example: `one`
- `data` `object` **required**
  - `id` `string` — ID assigned to identify this tax rate. — example: `1234`
  - `display_id` `string` — Display ID of the tax rate — example: `12345`
  - `name` `string` — Name assigned to identify this tax rate. — example: `GST on Purchases`
  - `code` `string` — Tax code assigned to identify this tax rate. — example: `ABN`
  - `description` `string` — Description of tax rate — example: `Reduced rate GST Purchases`
  - `effective_tax_rate` `number` — Effective tax rate — example: `10`
  - `country` `string` — Country code according to ISO 3166-1 alpha-2. — example: `US`
  - `total_tax_rate` `number` — Not compounded sum of the components of a tax rate — example: `10`
  - `tax_payable_account_id` `string` — Unique identifier for the account for tax collected. — example: `123456`
  - `tax_remitted_account_id` `string` — Unique identifier for the account for tax remitted. — example: `123456`
  - `components` `array of any`
    - `id` `string` — example: `10`
    - `name` `string` — example: `GST`
    - `rate` `number` — example: `10`
    - `compound` `boolean` — example: `true`
  - `type` `string` — Tax type used to indicate the source of tax collected or paid — example: `NONE`
  - `report_tax_type` `string` — Report Tax type to aggregate tax collected or paid for reporting purposes — example: `NONE`
  - `original_tax_rate_id` `string` — ID of the original tax rate from which the new tax rate is derived. Helps to understand the relationship between corresponding tax rate entities. — example: `12345`
  - `status` `string` — Tax rate status — enum: `active`, `inactive`, `archived` — example: `OK`
  - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
  - `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
  - `updated_by` `string` — The user who last updated the object. — example: `12345`
  - `created_by` `string` — The user who created the object. — example: `12345`
  - `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
    - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
    - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
    - `extend_object` `object` — Simple object allowing any properties for direct extension.
    - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
      - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
      - `value` `any` **required** — The value to set at the specified path, can be any type.
  - `subsidiaries` `array of any` — The subsidiaries this belongs to.
    - `id` `string` — The ID of the subsidiary.
  - `custom_fields` `array of object`
    - `id` `string` — Unique identifier for the custom field. — example: `2389328923893298`
    - `name` `string` — Name of the custom field. — example: `employee_level`
    - `description` `string` — More information about the custom field — example: `Employee Level`
    - `value` `string | number | boolean | object | array of string | number | boolean | object`
      - One of:
        - Option 1: string
        - Option 2: number
        - Option 3: boolean
        - Option 4: object

        - Option 5: array of string | number | boolean | object
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Delete Tax Rate

> **Accounting API** · `DELETE /accounting/tax-rates/{id}`
> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Tax-Rates/operation/taxRatesDelete

Delete Tax Rate

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-company-id` | header | `string` | No | The ID of the company to scope requests to. For connectors that support multi-company, this overrides the default company configured in connection settings. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |

### Responses

#### 200 — TaxRates deleted

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `xero`
- `resource` `string` **required** — Unified API resource name — example: `tax-rates`
- `operation` `string` **required** — Operation performed — example: `delete`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Update Tax Rate

> **Accounting API** · `PATCH /accounting/tax-rates/{id}`
> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Tax-Rates/operation/taxRatesUpdate

Update Tax Rate

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-company-id` | header | `string` | No | The ID of the company to scope requests to. For connectors that support multi-company, this overrides the default company configured in connection settings. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |

### Request Body

_Required._

- `id` `string` — ID assigned to identify this tax rate. — example: `1234`
- `display_id` `string` — Display ID of the tax rate — example: `12345`
- `name` `string` — Name assigned to identify this tax rate. — example: `GST on Purchases`
- `code` `string` — Tax code assigned to identify this tax rate. — example: `ABN`
- `description` `string` — Description of tax rate — example: `Reduced rate GST Purchases`
- `effective_tax_rate` `number` — Effective tax rate — example: `10`
- `country` `string` — Country code according to ISO 3166-1 alpha-2. — example: `US`
- `total_tax_rate` `number` — Not compounded sum of the components of a tax rate — example: `10`
- `tax_payable_account_id` `string` — Unique identifier for the account for tax collected. — example: `123456`
- `tax_remitted_account_id` `string` — Unique identifier for the account for tax remitted. — example: `123456`
- `components` `array of any`
  - `id` `string` — example: `10`
  - `name` `string` — example: `GST`
  - `rate` `number` — example: `10`
  - `compound` `boolean` — example: `true`
- `type` `string` — Tax type used to indicate the source of tax collected or paid — example: `NONE`
- `report_tax_type` `string` — Report Tax type to aggregate tax collected or paid for reporting purposes — example: `NONE`
- `original_tax_rate_id` `string` — ID of the original tax rate from which the new tax rate is derived. Helps to understand the relationship between corresponding tax rate entities. — example: `12345`
- `status` `string` — Tax rate status — enum: `active`, `inactive`, `archived` — example: `active`
- `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
- `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
- `updated_by` `string` — The user who last updated the object. — example: `12345`
- `created_by` `string` — The user who created the object. — example: `12345`
- `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
  - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
  - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
  - `extend_object` `object` — Simple object allowing any properties for direct extension.
  - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
    - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
    - `value` `any` **required** — The value to set at the specified path, can be any type.
- `subsidiaries` `array of any` — The subsidiaries this belongs to.
  - `id` `string` — The ID of the subsidiary.
- `custom_fields` `array of object`
  - `id` `string` — Unique identifier for the custom field. — example: `2389328923893298`
  - `name` `string` — Name of the custom field. — example: `employee_level`
  - `description` `string` — More information about the custom field — example: `Employee Level`
  - `value` `string | number | boolean | object | array of string | number | boolean | object`
    - One of:
      - Option 1: string
      - Option 2: number
      - Option 3: boolean
      - Option 4: object

      - Option 5: array of string | number | boolean | object

### Responses

#### 200 — TaxRate updated

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `xero`
- `resource` `string` **required** — Unified API resource name — example: `tax-rates`
- `operation` `string` **required** — Operation performed — example: `update`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---
